io.milvus.response

## Class DescDBResponseWrapper

- java.lang.Object
- - io.milvus.response.DescDBResponseWrapper

-     public class DescDBResponseWrapper
      extends java.lang.Object

  Util class to wrap response of `describeCollection` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescDBResponseWrapper(@NonNull io.milvus.grpc.DescribeDatabaseResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabaseName()` get database name
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()` Get properties of the collection.
    `int` | `getReplicaNumber()` return database replica number
    `java.util.List<java.lang.String>` | `getResourceGroups()` return database resource groups
    `java.lang.String` | `toString()` Construct a `String` by `DescCollResponseWrapper` instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DescDBResponseWrapper

          public DescDBResponseWrapper(@NonNull
                                       @NonNull io.milvus.grpc.DescribeDatabaseResponse response)

  - ### Method Detail

    - #### getDatabaseName

          public java.lang.String getDatabaseName()

      get database name
      Returns:
        database name

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

      Get properties of the collection.
      Returns:
        map of key value pair

    - #### getResourceGroups

          public java.util.List<java.lang.String> getResourceGroups()

      return database resource groups
      Returns:
        resource group names

    - #### getReplicaNumber

          public int getReplicaNumber()

      return database replica number
      Returns:
        database replica number

    - #### toString

          public java.lang.String toString()

      Construct a `String` by `DescCollResponseWrapper` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`